## manpages-fr 3.42d1p1

=== Makefile ===
# Upstream version
V = 3.42

# Patch level, may be empty
P =

# These variables may be defined by derivatives
PO4AFLAGS ?= -k 100
LANGS ?=
WORK_DIR ?= .
PO4A_SUBDIRS ?= $(EXTRA_PO4A_SUBDIRS) \
	aio \
	boot \
	charset \
	complex \
	db \
	dirent \
	epoll \
	error \
	fcntl \
	filesystem \
	iconv \
	inotify \
	intro \
	keyutils \
	ld \
	linux_module \
	locale \
	man2 \
	man3 \
	man5 \
	man7 \
	math \
	memory \
	mqueue \
	net \
	netlink \
	numa \
	process \
	pthread \
	pwdgrp \
	regexp \
	rpc \
	sched \
	search \
	semaphore \
	signal \
	socket \
	special \
	stdio \
	stdlib \
	string \
	time \
	tty \
	unistd \
	utmp \
	wchar \
	wctype

all: translate

#  Download tarball
get-orig-source: man-pages-$(V).tar.bz2
man-pages-$(V).tar.bz2:
	wget http://www.kernel.org/pub/linux/docs/man-pages/man-pages-$(V).tar.bz2
	#wget http://man7.org/linux/download/man-pages/man-pages-$(V).tar.gz

#  Unpack sources
unpack: stamp-unpack

ifeq ($(findstring git,$(V)),)
stamp-unpack: stamp-unpack-release
	touch $@
else
stamp-unpack: stamp-unpack-git
	touch $@
endif

stamp-unpack-release:
	-rm -rf man-pages-$(V) man-pages
	$(MAKE) man-pages-$(V).tar.bz2
	tar jxf man-pages-$(V).tar.bz2
	#  Remove version from top-level directory so that V variable
	#  does not have to be used in targets below
	mv man-pages-$(V) man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

stamp-unpack-git:
	$(MAKE) clean
	-@git submodule add git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git man-pages-git
	git submodule init && git submodule update
	ln -s man-pages-git man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

#  Prepare sources for being used by po4a.
#  This target is called once after manual pages are unpacked.
setup: stamp-setup
stamp-setup: stamp-unpack
	-rm -rf build
	mkdir -p build/C
	for i in $$(seq 8); do mkdir build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; for f in man-pages/man?/*.?; do \
	  if sed -e '1,3!d' $$f | grep -q '^\.so'; \
	  then \
	    grep '^\.so' $$f | sed -e '1!d' -e 's/^\.so //' -e "s,$$, $${f#man-pages/}," >> build/C/link; \
	  else \
	    cp $$f build/C/$${f#man-pages/}; \
	  fi; \
	done
	LC_ALL=C sort build/C/link > temp && mv temp build/C/link
	#  Remove empty directories, if any
	-rmdir build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	iconv -f armscii-8 -t UTF-8 build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp && mv temp build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	if test -f po4a-fixes.patch; \
	then \
	  cd build/C && patch -p1 < $(CURDIR)/po4a-fixes.patch; \
	fi
	touch $@

clean::
	-rm -f stamp-* temp link
	-rm -rf man-pages build
	-rm -rf po4a/*/po
	#  Do not delete tarball in this target
	#rm -f man-pages-*.tar.bz2

reallyclean:: clean
	rm -f man-pages-*.tar.*

release: clean
	-rm -rf perkamon*
	mkdir perkamon
	cp man-pages-$(V).tar.bz2 perkamon/
	cp Makefile* README perkamon/
	-cp *.patch perkamon/
	tar cf - --exclude=.svn po4a | tar xf - -C perkamon
	ln -s perkamon perkamon-$(V)$(P)
	tar jchf perkamon-$(V)$(P).tar.bz2 --numeric-owner perkamon-$(V)$(P)

translate: $(patsubst %, process-%, $(PO4A_SUBDIRS))

translate-%: setup
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

process-%: translate-%
	@:

process-man7: translate-man7
	for f in $(WORK_DIR)/build/[!C]*/man7/*.7; \
	do \
	  test -e $$f || continue; \
	  sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; \
	done

cfg-%: FORCE
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

stats:: $(patsubst %, stats-%, $(LANGS))
stats-%:
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  echo -n "$$subs: " >&2; \
	  msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  LC_ALL=C msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done 2>&1 | perl -e '$$f=$$t=$$u; while (<>) {if (/([0-9]*) translated/) {$$t+=$$1;} if (/([0-9]*) untranslated/) {$$u+=$$1;} if (/([0-9]*) fuzzy/) {$$f+=$$1;}} printf "%d translated, %d fuzzy, %d untranslated ==> %.2f%%\n", $$t, $$f, $$u, (100*$$t/($$t+$$f+$$u))'

disable-removed:
	@set -e; for f in po4a/*/*.cfg; do \
	  for i in $$(grep '^\[type: man\]' $$f | sed -e 's,.* build/C/,build/C/,' -e 's, \\,,'); do \
	    test -f $(WORK_DIR)/$$i && continue; \
	    echo "Missing file $$i disabled in $$f"; \
	    sed -i -e '/\[type: man\] '"$$(echo $$i | sed -e 's,/,\\/,g')"'/,/[^\\]$$/s/^/#/' $$f; \
	  done; \
	done

#  Run this target after a new upstream release to see if pages have been added.
#  Copy and paste output in po4a .cfg files
print-new-files:
	@set -e; for f in $(WORK_DIR)/build/C/man?/*.?; do \
	  l="$${f#$(WORK_DIR)/build/C/}"; \
	  grep -q "^\\[type: man\\] build/C/$$l" po4a/*/*.cfg && continue; \
	  o=$$(echo $$l | sed -e 's,/,/local-,'); \
	  printf '[type: man] %s \\\n\t%s \\\n' build/C/$$l "\$$lang:build/\$$lang/$$l"; \
	  if grep -q hlm $$f; then printf '\topt:"-o untranslated=hlm" \\\n'; fi; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-pre.list \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$o'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/perkamon \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$l'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/addendum \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-post.list\n'; \
	  echo; \
	done

.PHONY: unpack setup translate stats disable-removed print-new-files clean release FORCE

=== debian/changelog ===
manpages-fr (3.42d1p1-1) unstable; urgency=low

  [ Simon Paillard ]
  * New release, based on manpages 3.42-1 and perkamon 3.42-1:
    + new manpages: get_robust_list.2 mallinfo.3 malloc_info.3 malloc_stats.3
    + remove outdated links: path_resolution.2 epoll.4 fifo.4 futex.4
      complex.5 environ.5
    + byteorder(3): fix typo (Closes: #682764)
    + Remove old links added 10y ago due to debian specific man-db
  * Fix lintian groff warnings:
    + console_codes.4: avoid discarding words
    + ioprio_set.2.gz: fix format
    + filesystems.5: fix formating
    + feature_test_macros.7: fix groff warning hiding words

 -- Simon Paillard <spaillard@debian.org>  Sat, 15 Sep 2012 11:42:47 +0200

=== debian/control ===
Source: manpages-fr
Section: doc
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Uploaders: Simon Paillard <spaillard@debian.org>
Build-Depends: debhelper (>= 7), po4a (>= 0.39)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git
Homepage: http://traduc.org/perkamon

Package: manpages-fr
Architecture: all
Section: doc
Priority: optional
Replaces: manpages-fr-extra (<< 20120505)
Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
Depends: ${misc:Depends}
Description: French version of the manual pages about using GNU/Linux
 This package contains the French translation of GNU/Linux manual pages
 for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Sections 1, 6 and 8 are provided by the respective applications. This
 package only includes the intro man page describing the section.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-fr-dev
Architecture: all
Section: doc
Priority: optional
Recommends: manpages-fr
Replaces: manpages-fr-extra (<< 20100723)
Breaks: manpages-fr-extra (<< 20100723)
Suggests: man-db | man-browser
Depends: ${misc:Depends}
Description: French version of the development manual pages
 These man pages are translations of the man pages which describe the
 Linux programming interface, including these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc package).

## manpages-fr 3.44d1p1

=== Makefile ===
#!/usr/bin/make -f
export LC_ALL=C

# Directory containing timestamp files
stamp := stamp-dir/

# Create this directory to simplify timestamp management
DUMMY := $(shell mkdir -p $(stamp))

# function to create links
# It uses ".so" inclusions, even if the original link is a symbolic link
# examples:
#   $(call create_link,foo.1,bar.1)
#     creates the link bar.1 pointing to foo.1 in fr/man1
#   $(call create_link,../man1/foo.1,bar.2)
#     creates the link bar.2 in fr/man2 pointing to
#     ../man1/foo.1, i.e. fr/man1/foo.1
#     creates the fr/man2 directory if needed
#  The elif clause below is because pages from manpages-dev
#  can link to pages from manpages
define create_link
  echo -n "Creating link $(2) pointing to $(1)... "; \
  section1=`echo $(1) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  section2=`echo $(2) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  if ! expr $$section1 : "[1-9]" >/dev/null || ! expr $$section2 : "[1-9]" >/dev/null; then \
    echo "failed."; \
    exit 0; \
  fi; \
  if [ -e fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  elif [ -e ../manpages/fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  else \
    echo "ignored."; \
  fi
endef

#  Copy manual pages into top_build/build/C
setup-man: $(stamp)setup-man
$(stamp)setup-man:
	-rm -rf top_build
	mkdir -p top_build/build/C
	for i in $$(seq 8); do mkdir top_build/build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; \
	  for p in manpages manpages-dev; do \
		echo "Processing package $$p ..."; \
		tar cf - --exclude=.svn -C $$p C | tar xf - -C top_build/build; \
		tar cf - --exclude=.svn -C $$p C | tar tf - | sed -e '/\/$$/d' -e 's,^C/,,' > top_build/build/C/$$p.list; \
		sed -e 's/\.gz\b//g' top_build/build/C/link > top_build/build/C/$$p.link; \
	  done
	#  Remove empty directories, if any
	-rmdir top_build/build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	@echo "Convert encodings missing in Perl..."
	iconv -f armscii-8 -t utf-8 top_build/build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp \
	    && mv temp top_build/build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon-fr/po4a-fixes.patch; do \
	  if test -f $$p; \
	  then \
	    cd top_build/build/C && patch -p1 < $$p; \
	    break; \
	  fi; \
	done
	touch $@

# Compendium and POT files for translation of upstream Linux man-pages
generate-upstream-pot: $(stamp)generate-upstream-pot
$(stamp)generate-upstream-pot: $(stamp)setup-man
	# Compendium and POT files for original strings
	msgcat --use-first perkamon-fr/po4a/*/po/*.pot > top_build/man-pages-upstream.pot
	msgcat --use-first perkamon-fr/po4a/*/po/fr.po > top_build/compendium-fr.po
	touch $@

# Merge perkamon-fr, perkamon and po4a-local stuff into top_build/po4a
setup-po4a: $(stamp)setup-po4a
$(stamp)setup-po4a: $(stamp)setup-man
	-rm -rf top_build/po4a
	$(MAKE) -C perkamon-fr unpack
	# Copy perkamon-fr/perkamon/po4a directory into top_build
	cp -a perkamon-fr/perkamon/po4a top_build
	# Copy perkamon-fr/po4a directory into top_build
	-tar cf - --exclude=.svn -C perkamon-fr po4a | tar xf - -C top_build
	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
	mkdir top_build/po4a/man-debian
	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
	# Addenda must be placed into top_build/po4a/add_fr
	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
	# Add stamp files to pretend that top_build has been generated by the Makefile
	touch top_build/stamp-unpack-release
	touch top_build/stamp-unpack
	touch top_build/stamp-setup
	# Copy Makefile to simplify make commands
	cp perkamon-fr/perkamon/Makefile top_build/
	#  Apply patches to fix perkamon-fr/perkamon/Makefile
	#  no longer needed as kernel.org is up again
	# test ! -f $(CURDIR)/makefile-fixes.patch || patch top_build/Makefile < $(CURDIR)/makefile-fixes.patch
	touch $@

# Modify top_build/po4a/*/*.cfg to discard files removed in Debian
discard-files: $(stamp)discard-files
$(stamp)discard-files: $(stamp)setup-po4a
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian disable-removed
	touch $@

# Print files added in Debian which have not been inserted into debian.cfg
print-new-files: $(stamp)print-new-files
$(stamp)print-new-files: $(stamp)setup-po4a
	$(MAKE) -C top_build print-new-files
	touch $@

# Generate new POT files for man-pages as shipped in Debian
generate-pot: $(stamp)generate-pot
$(stamp)generate-pot: $(stamp)setup-po4a $(stamp)generate-upstream-pot $(stamp)discard-files $(stamp)print-new-files
	# Generate new POT files for man-pages as shipped in Debian
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr PO4AFLAGS="--force --no-translations"
	# Here goes the magic.  Put in top_build/man-pages-only-debian.pot
	# the strings which appear in man-pages shipped in Debian but not in
	# man-pages-upstream.pot
	cd top_build && msgcat --use-first po4a/*/po/*.pot > man-pages-dist-debian.pot
	cd top_build && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
	touch $@

# Update po4a-local/po/fr.po with top_build/man-pages-only-debian.pot
updatepo: $(stamp)updatepo
$(stamp)updatepo: $(stamp)generate-pot
	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
	msgmerge --previous po4a-local/po/fr.po top_build/man-pages-only-debian.pot > po4a-local/po/newfr.po
	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
	for f in top_build/po4a/*/po/fr.po; do \
	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
	done
	touch $@

# Generate translations
translate: $(stamp)translate
$(stamp)translate: $(stamp)updatepo
	$(MAKE) -C top_build \
       EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr \
       PO4AFLAGS="-k 100 --msgmerge-opt '-C compendium-fr.po -C ../po4a-local/po/fr.po'"
	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
	touch $@

clean:
	-rm -rf top_build
	-rm -f top_build/compendium-fr.po top_build/*.pot po4a-local/po/newfr.po
	-$(MAKE) -C perkamon-fr $@
	-rm -rf $(stamp)

postats: $(stamp)updatepo
	$(MAKE) -C top_build PO4A_SUBDIRS=man-debian stats-fr

post-build: translate
	@set -e; cd top_build/build; \
	  for p in manpages manpages-dev; do \
	    rm -rf $$p; \
	    mkdir -p $$p/fr; \
	    for i in $$(seq 8); do mkdir $$p/fr/man$$i; done; \
	    for f in $$(cat C/$$p.list); do \
	      test -f fr/$$f || continue; \
	      cp fr/$$f $$p/fr/$$f; \
	    done; \
	    cd $$p; \
	    sed -e 's,[^ ]*/\([^/ ]*\),\1,g' ../C/$$p.link | while read line; do \
	      TARGET=`echo $$line | cut -d " " -f 1`; \
	      LINK=`echo $$line | cut -d " " -f 2`; \
	      $(call create_link,$$TARGET,$$LINK); \
	    done; \
	    cd ..; \
	  done
	# Remove empty directories
	rmdir top_build/build/manpages*/fr/man* 2>/dev/null || true

.PHONY: setup-man setup-po4a discard-files generate-pot updatepo translate post-build clean

=== debian/changelog ===
manpages-fr (3.44d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.44-1 and perkamon 3.44-1:
    + new manpages: getauxval.3 secure_getenv.3
  * Translate debian specific modifications: 
     + motd.5 updated and motd.tail removed: due to new behaviour of sysvinit
       2.88dsf-24
     + fputs.3: missing space in putc(c,stdout)
     + resolv.conf.5: Document IPv6 format for nameserver
     + stat.2: Clarify description of EOVERFLOW error

 -- Simon Paillard <spaillard@debian.org>  Thu, 29 Nov 2012 22:40:19 +0100

## manpages-fr 3.51d1p1

=== Makefile ===
# Upstream version
V = 3.51

# Patch level, may be empty
P =

# These variables may be defined by derivatives
PO4AFLAGS ?= -k 100
LANGS ?=
WORK_DIR ?= .
UTF8_LOCALE ?= en_US.UTF-8
PO4A_SUBDIRS ?= $(EXTRA_PO4A_SUBDIRS) \
	aio \
	boot \
	charset \
	complex \
	db \
	dirent \
	epoll \
	error \
	fcntl \
	filesystem \
	iconv \
	inotify \
	intro \
	keyutils \
	ld \
	linux_module \
	locale \
	man2 \
	man3 \
	man5 \
	man7 \
	math \
	memory \
	mqueue \
	net \
	netlink \
	numa \
	process \
	pthread \
	pwdgrp \
	regexp \
	rpc \
	sched \
	search \
	semaphore \
	signal \
	socket \
	special \
	stdio \
	stdlib \
	string \
	time \
	tty \
	unistd \
	utmp \
	wchar \
	wctype

all: translate

#  Download tarball
get-orig-source: man-pages-$(V).tar.bz2
man-pages-$(V).tar.bz2:
	wget http://www.kernel.org/pub/linux/docs/man-pages/man-pages-$(V).tar.bz2
	#wget http://man7.org/linux/download/man-pages/man-pages-$(V).tar.gz

#  Unpack sources
unpack: stamp-unpack

ifeq ($(findstring git,$(V)),)
stamp-unpack: stamp-unpack-release
	touch $@
else
stamp-unpack: stamp-unpack-git
	touch $@
endif

stamp-unpack-release:
	-rm -rf man-pages-$(V) man-pages
	$(MAKE) man-pages-$(V).tar.bz2
	tar jxf man-pages-$(V).tar.bz2
	#  Remove version from top-level directory so that V variable
	#  does not have to be used in targets below
	mv man-pages-$(V) man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

stamp-unpack-git:
	$(MAKE) clean
	-@git submodule add git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git man-pages-git
	git submodule init && git submodule update
	ln -s man-pages-git man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

#  Prepare sources for being used by po4a.
#  This target is called once after manual pages are unpacked.
setup: stamp-setup
stamp-setup: stamp-unpack
	-rm -rf build
	mkdir -p build/C
	for i in $$(seq 8); do mkdir build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; for f in man-pages/man?/*.?; do \
	  if sed -e '1,3!d' $$f | grep -q '^\.so'; \
	  then \
	    grep '^\.so' $$f | sed -e '1!d' -e 's/^\.so //' -e "s,$$, $${f#man-pages/}," >> build/C/link; \
	  else \
	    cp $$f build/C/$${f#man-pages/}; \
	  fi; \
	done
	LC_ALL=C sort build/C/link > temp && mv temp build/C/link
	#  Remove empty directories, if any
	-rmdir build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	iconv -f armscii-8 -t UTF-8 build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp && mv temp build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	if test -f po4a-fixes.patch; \
	then \
	  cd build/C && patch -p1 < $(CURDIR)/po4a-fixes.patch; \
	fi
	touch $@

clean::
	-rm -f stamp-* temp link
	-rm -rf man-pages build
	-rm -rf po4a/*/po
	#  Do not delete tarball in this target
	#rm -f man-pages-*.tar.bz2

reallyclean:: clean
	rm -f man-pages-*.tar.*

release: clean man-pages-$(V).tar.bz2
	-rm -rf perkamon*
	mkdir perkamon
	cp man-pages-$(V).tar.bz2 perkamon/
	cp Makefile* README perkamon/
	-cp *.patch perkamon/
	tar cf - --exclude=.svn po4a | tar xf - -C perkamon
	ln -s perkamon perkamon-$(V)$(P)
	tar jchf perkamon-$(V)$(P).tar.bz2 --numeric-owner perkamon-$(V)$(P)
	tar Jchf perkamon-$(V)$(P).tar.xz  --numeric-owner perkamon-$(V)$(P)

translate: $(patsubst %, process-%, $(PO4A_SUBDIRS))

translate-%: setup
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

process-%: translate-%
	@:

process-man7: translate-man7
	for f in $(WORK_DIR)/build/[!C]*/man7/*.7; \
	do \
	  test -e $$f || continue; \
	  sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; \
	done

cfg-%: FORCE
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

stats:: $(patsubst %, stats-%, $(LANGS))
stats-%:
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  echo -n "$$subs: " >&2; \
	  msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  LC_ALL=C msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done 2>&1 | perl -e '$$f=$$t=$$u; while (<>) {if (/([0-9]*) translated/) {$$t+=$$1;} if (/([0-9]*) untranslated/) {$$u+=$$1;} if (/([0-9]*) fuzzy/) {$$f+=$$1;}} printf "%d translated, %d fuzzy, %d untranslated ==> %.2f%%\n", $$t, $$f, $$u, (100*$$t/($$t+$$f+$$u))'

disable-removed:
	@set -e; for f in po4a/*/*.cfg; do \
	  for i in $$(grep '^\[type: man\]' $$f | sed -e 's,.* build/C/,build/C/,' -e 's, \\,,'); do \
	    test -f $(WORK_DIR)/$$i && continue; \
	    echo "Missing file $$i disabled in $$f"; \
	    sed -i -e '/\[type: man\] '"$$(echo $$i | sed -e 's,/,\\/,g')"'/,/[^\\]$$/s/^/#/' $$f; \
	  done; \
	done

#  Run this target after a new upstream release to see if pages have been added.
#  Copy and paste output in po4a .cfg files
print-new-files:
	@set -e; for f in $(WORK_DIR)/build/C/man?/*.?; do \
	  l="$${f#$(WORK_DIR)/build/C/}"; \
	  grep -q "^\\[type: man\\] build/C/$$l" po4a/*/*.cfg && continue; \
	  o=$$(echo $$l | sed -e 's,/,/local-,'); \
	  printf '[type: man] %s \\\n\t%s \\\n' build/C/$$l "\$$lang:build/\$$lang/$$l"; \
	  if grep -q hlm $$f; then printf '\topt:"-o untranslated=hlm" \\\n'; fi; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-pre.list \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$o'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/perkamon \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$l'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/addendum \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-post.list\n'; \
	  echo; \
	done

# Check if groff reports warnings (may be words of sentences not displayed)
# from http://lintian.debian.org/tags/manpage-has-errors-from-man.html
check-groff-warnings:
	@for f in $(WORK_DIR)/build/[!C]*/man*/*.*; \
	  do \
	     LC_ALL=$(UTF8_LOCALE) MANWIDTH=80 man --warnings -E UTF-8 -l $$f 2>&1 > /dev/null |\
	       sed -e "s,.,$${f#$(WORK_DIR)/build/}: &,"; \
	  done

.PHONY: unpack setup translate stats disable-removed print-new-files clean release FORCE

=== debian/changelog ===
manpages-fr (3.51d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.51-1 and perkamon 3.51-1:
    . new manpages: kcmp.3 s390_runtime_instr.2 if_freenameindex.3
      if_indextoname.3 if_nameindex.3 if_nametoindex.3
      perf_event_open.2 getcontext.3 getdtablesize.3 pthread_getname_np.3
      pthread_setname_np.3 setcontext.3 sln.8
      fattach.2 fdetach.2 getmsg.2 getunwind.2 isastream.2
      perfmonctl.2 putmsg.2 nss.5
  * Update lintian overrides
  * d/rules: build-{arch,indep} as required by policy 3.9.4

 -- Simon Paillard <spaillard@debian.org>  Tue, 28 May 2013 22:30:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
 
 Package: manpages-fr

=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C

# For Policy 3.9.4
build-arch: build
build-indep: build

build:
	dh_testdir
	$(MAKE) post-build
	@for p in manpages manpages-dev; do \
	  find top_build/build/$$p -type f > debian/manpages-fr$${p#manpages}.manpages; \
	done

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean
	-rm -rf top_build
	-rm -f debian/manpages-fr.manpages debian/manpages-fr-dev.manpages
	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_lintian

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installman --language=fr -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

MIRRORSITE = http://ftp.fr.debian.org/debian

#  Source contains 4 tarballs:
#     manpages-fr_$v.orig.tar.bz2
#          contains only top-level Makefile
#     manpages-fr_$v.orig-perkamon-fr.tar.bz2
#          perkamon-fr sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
#     manpages-fr_$v.orig-manpages.tar.gz
#          is data.tar.gz from Debian manpages_$d_all.deb
#     manpages-fr_$v.orig-manpages-dev.tar.gz
#          is data.tar.gz from Debian manpages-dev_$d_all.deb
#
#  A Debian version number like 3.25d2p4-3 is interpreted like this:
#   * This is the French translation of the Debian packages manpages{,-dev} 3.25-2
#   * It contains upstream French translations from perkamon-fr 3.25-4
#   * This is the 3rd Debian revision
#
#  As dpkg-source does not cope well with binary files and broken
#  symlinks, manual pages are uncompressed.  Symbolic links
#  are removed and a file named 'link' contains the list of
#  such links.  Its format is:
#      target_man_page src_man_page
#  This file is used after pages are translated to create aliases
#  of translated manual pages.
get-orig-source:
	# First remove existing files and links
	-find manpages* -type f -o -name .svn -prune | xargs --no-run-if-empty rm
	-find manpages* -type l -o -name .svn -prune | xargs --no-run-if-empty rm
	-find perkamon-fr -type f -o -name .svn -prune | xargs --no-run-if-empty rm
	# Now remove empty directories
	find manpages* -depth -type d -o -name .svn -prune | xargs --no-run-if-empty rmdir --ignore-fail-on-non-empty
	@set -e; \
	   v=$$(sed -e 1q debian/changelog | sed -e 's/.*(//' -e 's/).*//'); \
	   u=$$(echo $$v | sed -e 's/d.*//'); \
	   d=$$u-$$(echo $$v | sed -e 's/.*d//' -e 's/p.*//'); \
	   p=$$u-$$(echo $$v | sed -e 's/.*p//' -e 's/-.*//'); \
	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; then \
	        uscan --no-symlink --download-current-version; \
	        mv ../perkamon-fr-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; \
	   fi; \
	   tar jxf ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2 -C perkamon-fr --strip-components=1; \
	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
	        rm -rf manpages-fr; \
	        mkdir manpages-fr; \
	        cp Makefile manpages-fr/; \
	        tar jcf ../manpages-fr_$${v}.orig.tar.bz2 --numeric-owner manpages-fr; \
	        rm -rf manpages-fr; \
	   fi; \
	   for pkg in manpages manpages-dev; do \
		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; then \
			tar jxf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; \
			continue; \
		fi; \
		echo "Downloading package $$pkg ..."; \
		if test -e ../$${pkg}_$${d}_all.deb; then \
			cp ../$${pkg}_$${d}_all.deb .; \
		else \
			wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
		fi; \
		test -d $$pkg || mkdir $$pkg; \
		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
		echo "Processing package $$pkg ..."; \
		cd $$pkg; \
		mkdir C 2>/dev/null || true; \
		rm -f C/man?/*.? C/link; \
		for i in $$(seq 8); do mkdir C/man$$i 2>/dev/null || true; done; \
		for f in usr/share/man/man*/*.gz; do \
			if [ -L $$f ]; then \
				g=`readlink -m $$f | sed -e 's,.*/man/,,'`; \
				echo $$g /$$f >> C/link; \
			else \
				g=`echo $$f | sed -e 's,usr/share/man/,,' -e 's/\.gz$$//'`; \
				zcat $$f > C/$$g; \
			fi; \
		done; \
		rmdir C/man* 2>/dev/null || true; \
		LC_ALL=C sort C/link > temp && mv temp C/link; \
		cd ..; \
		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 ..."; \
		tar jcf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 --exclude=.svn --owner root --group root $$pkg/C; \
	   done
	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## manpages-fr 3.52d1p1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Upstream version
-V = 3.51
+V = 3.52
 
 # Patch level, may be empty
 P =

=== debian/changelog ===
manpages-fr (3.52d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.52-1 and perkamon 3.52-1:
    . new manpages: ldd.1 ldconfig.8 ld.so.8 gai.conf.5 zic.8 zdump.8
  * Replace manpages-fr-extra: pages moved from libc-bin to manpages
  * Switch to xz upstream source
  * man5: ffix in dir_colors.5 (report from upstream)

 -- Simon Paillard <spaillard@debian.org>  Wed, 31 Jul 2013 21:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
@@ -13,7 +13,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Replaces: manpages-fr-extra (<< 20120505)
+Replaces: manpages-fr-extra (<= 20130721)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux

=== debian/watch ===
version=3
opts="dversionmangle=s/d(.+)p.*$/-$1/" \
  http://ftp.fr.debian.org/debian/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/d.*p(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  /frs/download.php/\d+/perkamon-fr-(.*).tar.xz

## manpages-fr 3.54d1p1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Upstream version
-V = 3.52
+V = 3.54
 
 # Patch level, may be empty
 P =

## manpages-fr 3.57d1p1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Upstream version
-V = 3.54
+V = 3.57
 
 # Patch level, may be empty
 P =
@@ -61,9 +61,9 @@
 all: translate
 
 #  Download tarball
-get-orig-source: man-pages-$(V).tar.bz2
-man-pages-$(V).tar.bz2:
-	wget http://www.kernel.org/pub/linux/docs/man-pages/man-pages-$(V).tar.bz2
+get-orig-source: man-pages-$(V).tar.xz
+man-pages-$(V).tar.xz:
+	wget http://www.kernel.org/pub/linux/docs/man-pages/$@
 	#wget http://man7.org/linux/download/man-pages/man-pages-$(V).tar.gz
 
 #  Unpack sources
@@ -79,8 +79,8 @@
 
 stamp-unpack-release:
 	-rm -rf man-pages-$(V) man-pages
-	$(MAKE) man-pages-$(V).tar.bz2
-	tar jxf man-pages-$(V).tar.bz2
+	$(MAKE) man-pages-$(V).tar.xz
+	tar Jxf man-pages-$(V).tar.xz
 	#  Remove version from top-level directory so that V variable
 	#  does not have to be used in targets below
 	mv man-pages-$(V) man-pages
@@ -135,20 +135,19 @@
 	-rm -rf man-pages build
 	-rm -rf po4a/*/po
 	#  Do not delete tarball in this target
-	#rm -f man-pages-*.tar.bz2
+	#rm -f man-pages-*.tar.xz
 
 reallyclean:: clean
 	rm -f man-pages-*.tar.*
 
-release: clean man-pages-$(V).tar.bz2
+release: clean man-pages-$(V).tar.xz
 	-rm -rf perkamon*
 	mkdir perkamon
-	cp man-pages-$(V).tar.bz2 perkamon/
+	cp man-pages-$(V).tar.xz perkamon/
 	cp Makefile* README perkamon/
 	-cp *.patch perkamon/
 	tar cf - --exclude=.svn po4a | tar xf - -C perkamon
 	ln -s perkamon perkamon-$(V)$(P)
-	tar jchf perkamon-$(V)$(P).tar.bz2 --numeric-owner perkamon-$(V)$(P)
 	tar Jchf perkamon-$(V)$(P).tar.xz  --numeric-owner perkamon-$(V)$(P)
 
 translate: $(patsubst %, process-%, $(PO4A_SUBDIRS))

=== debian/changelog ===
manpages-fr (3.57d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.57-1 and perkamon 3.57-1
    . new manpage: vdso.7
  * Remove obsolete makefile-fixes.patch (kernel.org up)

 -- Simon Paillard <spaillard@debian.org>  Mon, 03 Feb 2014 22:25:10 +0100

manpages-fr (3.55d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.55-1 and perkamon 3.55-1
  * Bump Standards to 3.9.5, no change
  * Factor Section and Priority fields from source

 -- Simon Paillard <spaillard@debian.org>  Wed, 08 Jan 2014 23:01:13 +0100

manpages-fr (3.54d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.54-1 and perkamon 3.54-1

 -- Simon Paillard <spaillard@debian.org>  Wed, 25 Sep 2013 00:23:14 +0200

manpages-fr (3.53d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.53-1 and perkamon 3.53-1:
    . new manpage: restart_syscall.2

 -- Simon Paillard <spaillard@debian.org>  Thu, 05 Sep 2013 22:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
 
 Package: manpages-fr
 Architecture: all
-Section: doc
-Priority: optional
 Replaces: manpages-fr-extra (<= 20130721)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
@@ -32,8 +30,6 @@
 
 Package: manpages-fr-dev
 Architecture: all
-Section: doc
-Priority: optional
 Recommends: manpages-fr
 Replaces: manpages-fr-extra (<< 20100723)
 Breaks: manpages-fr-extra (<< 20100723)

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,9 @@
 MIRRORSITE = http://ftp.fr.debian.org/debian
 
 #  Source contains 4 tarballs:
-#     manpages-fr_$v.orig.tar.bz2
+#     manpages-fr_$v.orig.tar.xz
 #          contains only top-level Makefile
-#     manpages-fr_$v.orig-perkamon-fr.tar.bz2
+#     manpages-fr_$v.orig-perkamon-fr.tar.xz
 #          perkamon-fr sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
 #     manpages-fr_$v.orig-manpages.tar.gz
 #          is data.tar.gz from Debian manpages_$d_all.deb
@@ -84,21 +84,21 @@
 	   p=$$u-$$(echo $$v | sed -e 's/.*p//' -e 's/-.*//'); \
 	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
 	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
-	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; then \
+	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz; then \
 	        uscan --no-symlink --download-current-version; \
-	        mv ../perkamon-fr-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; \
+	        mv ../perkamon-fr-$${p}.tar.xz ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz; \
 	   fi; \
-	   tar jxf ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2 -C perkamon-fr --strip-components=1; \
-	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
+	   tar xf ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz -C perkamon-fr --strip-components=1; \
+	   if test ! -e ../manpages-fr_$${v}.orig.tar.xz; then \
 	        rm -rf manpages-fr; \
 	        mkdir manpages-fr; \
 	        cp Makefile manpages-fr/; \
-	        tar jcf ../manpages-fr_$${v}.orig.tar.bz2 --numeric-owner manpages-fr; \
+	        tar Jcf ../manpages-fr_$${v}.orig.tar.xz --numeric-owner manpages-fr; \
 	        rm -rf manpages-fr; \
 	   fi; \
 	   for pkg in manpages manpages-dev; do \
-		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; then \
-			tar jxf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; \
+		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.xz; then \
+			tar xf ../manpages-fr_$${v}.orig-$$pkg.tar.xz; \
 			continue; \
 		fi; \
 		echo "Downloading package $$pkg ..."; \
@@ -108,7 +108,7 @@
 			wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
 		fi; \
 		test -d $$pkg || mkdir $$pkg; \
-		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
+		ar p $${pkg}_$${d}_all.deb data.tar.xz | tar Jxf - -C $$pkg; \
 		echo "Processing package $$pkg ..."; \
 		cd $$pkg; \
 		mkdir C 2>/dev/null || true; \
@@ -126,8 +126,8 @@
 		rmdir C/man* 2>/dev/null || true; \
 		LC_ALL=C sort C/link > temp && mv temp C/link; \
 		cd ..; \
-		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 ..."; \
-		tar jcf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 --exclude=.svn --owner root --group root $$pkg/C; \
+		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.xz ..."; \
+		tar Jcf ../manpages-fr_$${v}.orig-$$pkg.tar.xz --exclude=.svn --owner root --group root $$pkg/C; \
 	   done
 	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb

=== debian/watch ===
version=3
opts="dversionmangle=s/d(.+)p.*$/-$1/" \
  http://ftp.fr.debian.org/debian/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/d.*p(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  /frs/download.php/file/\d+/perkamon-fr-(.*).tar.xz

## manpages-fr 3.65d1p1

=== Makefile ===
#!/usr/bin/make -f
export LC_ALL=C

# Directory containing timestamp files
stamp := stamp-dir/

# Create this directory to simplify timestamp management
DUMMY := $(shell mkdir -p $(stamp))

# function to create links
# It uses ".so" inclusions, even if the original link is a symbolic link
# examples:
#   $(call create_link,foo.1,bar.1)
#     creates the link bar.1 pointing to foo.1 in fr/man1
#   $(call create_link,../man1/foo.1,bar.2)
#     creates the link bar.2 in fr/man2 pointing to
#     ../man1/foo.1, i.e. fr/man1/foo.1
#     creates the fr/man2 directory if needed
#  The elif clause below is because pages from manpages-dev
#  can link to pages from manpages
define create_link
  echo -n "Creating link $(2) pointing to $(1)... "; \
  section1=`echo $(1) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  section2=`echo $(2) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  if ! expr $$section1 : "[1-9]" >/dev/null || ! expr $$section2 : "[1-9]" >/dev/null; then \
    echo "failed."; \
    exit 0; \
  fi; \
  if [ -e fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  elif [ -e ../manpages/fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  else \
    echo "ignored."; \
  fi
endef

#  Copy manual pages into top_build/build/C
setup-man: $(stamp)setup-man
$(stamp)setup-man:
	-rm -rf top_build
	mkdir -p top_build/build/C
	for i in $$(seq 8); do mkdir top_build/build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; \
	  for p in manpages manpages-dev; do \
		echo "Processing package $$p ..."; \
		tar cf - --exclude=.svn -C $$p C | tar xf - -C top_build/build; \
		tar cf - --exclude=.svn -C $$p C | tar tf - | sed -e '/\/$$/d' -e 's,^C/,,' > top_build/build/C/$$p.list; \
		sed -e 's/\.gz\b//g' top_build/build/C/link > top_build/build/C/$$p.link; \
	  done
	#  Remove empty directories, if any
	-rmdir top_build/build/C/man* 2>/dev/null
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon-fr/po4a-fixes.patch; do \
	  if test -f $$p; \
	  then \
	    cd top_build/build/C && patch -p1 < $$p; \
	    break; \
	  fi; \
	done
	touch $@

# Compendium and POT files for translation of upstream Linux man-pages
generate-upstream-pot: $(stamp)generate-upstream-pot
$(stamp)generate-upstream-pot: $(stamp)setup-man
	# Compendium and POT files for original strings
	msgcat --use-first perkamon-fr/po4a/*/po/*.pot > top_build/man-pages-upstream.pot
	msgcat --use-first perkamon-fr/po4a/*/po/fr.po > top_build/compendium-fr.po
	touch $@

# Merge perkamon-fr, perkamon and po4a-local stuff into top_build/po4a
setup-po4a: $(stamp)setup-po4a
$(stamp)setup-po4a: $(stamp)setup-man
	-rm -rf top_build/po4a
	$(MAKE) -C perkamon-fr unpack
	# Copy perkamon-fr/perkamon/po4a directory into top_build
	cp -a perkamon-fr/perkamon/po4a top_build
	# Copy perkamon-fr/po4a directory into top_build
	-tar cf - --exclude=.svn -C perkamon-fr po4a | tar xf - -C top_build
	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
	mkdir top_build/po4a/man-debian
	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
	# Addenda must be placed into top_build/po4a/add_fr
	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
	# Add stamp files to pretend that top_build has been generated by the Makefile
	touch top_build/stamp-unpack-release
	touch top_build/stamp-unpack
	touch top_build/stamp-setup
	# Copy Makefile to simplify make commands
	cp perkamon-fr/perkamon/Makefile top_build/
	#  Apply patches to fix perkamon-fr/perkamon/Makefile
	test ! -f $(CURDIR)/makefile-fixes.patch || patch top_build/Makefile < $(CURDIR)/makefile-fixes.patch
	touch $@

# Modify top_build/po4a/*/*.cfg to discard files removed in Debian
discard-files: $(stamp)discard-files
$(stamp)discard-files: $(stamp)setup-po4a
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian disable-removed
	touch $@

# Print files added in Debian which have not been inserted into debian.cfg
print-new-files: $(stamp)print-new-files
$(stamp)print-new-files: $(stamp)setup-po4a
	$(MAKE) -C top_build print-new-files
	touch $@

# Generate new POT files for man-pages as shipped in Debian
generate-pot: $(stamp)generate-pot
$(stamp)generate-pot: $(stamp)setup-po4a $(stamp)generate-upstream-pot $(stamp)discard-files $(stamp)print-new-files
	# Generate new POT files for man-pages as shipped in Debian
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr PO4AFLAGS="--force --no-translations"
	# Here goes the magic.  Put in top_build/man-pages-only-debian.pot
	# the strings which appear in man-pages shipped in Debian but not in
	# man-pages-upstream.pot
	cd top_build && msgcat --use-first po4a/*/po/*.pot > man-pages-dist-debian.pot
	cd top_build && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
	touch $@

# Update po4a-local/po/fr.po with top_build/man-pages-only-debian.pot
updatepo: $(stamp)updatepo
$(stamp)updatepo: $(stamp)generate-pot
	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
	msgmerge --previous po4a-local/po/fr.po top_build/man-pages-only-debian.pot > po4a-local/po/newfr.po
	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
	for f in top_build/po4a/*/po/fr.po; do \
	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
	done
	touch $@

# Generate translations
translate: $(stamp)translate
$(stamp)translate: $(stamp)updatepo
	$(MAKE) -C top_build \
       EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr \
       PO4AFLAGS="-k 100 --msgmerge-opt '-C compendium-fr.po -C ../po4a-local/po/fr.po'"
	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
	touch $@

clean:
	-rm -rf top_build
	-rm -f top_build/compendium-fr.po top_build/*.pot po4a-local/po/newfr.po
	-$(MAKE) -C perkamon-fr $@
	-rm -rf $(stamp)

postats: $(stamp)updatepo
	$(MAKE) -C top_build PO4A_SUBDIRS=man-debian stats-fr

post-build: translate
	@set -e; cd top_build/build; \
	  for p in manpages manpages-dev; do \
	    rm -rf $$p; \
	    mkdir -p $$p/fr; \
	    for i in $$(seq 8); do mkdir $$p/fr/man$$i; done; \
	    for f in $$(cat C/$$p.list); do \
	      test -f fr/$$f || continue; \
	      cp fr/$$f $$p/fr/$$f; \
	    done; \
	    cd $$p; \
	    sed -e 's,[^ ]*/\([^/ ]*\),\1,g' ../C/$$p.link | while read line; do \
	      TARGET=`echo $$line | cut -d " " -f 1`; \
	      LINK=`echo $$line | cut -d " " -f 2`; \
	      $(call create_link,$$TARGET,$$LINK); \
	    done; \
	    cd ..; \
	  done
	# Remove empty directories
	rmdir top_build/build/manpages*/fr/man* 2>/dev/null || true

.PHONY: setup-man setup-po4a discard-files generate-pot updatepo translate post-build clean

=== debian/changelog ===
manpages-fr (3.65d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.65-1 and perkamon 3.65-1
    . new manpages:
      * duplocale.3 locale.1 newlocale.3 uselocale.3
      * open_by_handle_at.2 inet_net_pton.3
    . removed manpage: sync.8 while coreutils provides sync.1

 -- Simon Paillard <spaillard@debian.org>  Sat, 17 May 2014 17:04:36 +0200

manpages-fr (3.61d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.61-1 and perkamon 3.61-1
    . Merge most *at.2 pages now these functions are wide spread:
      faccessat.2 fchmodat.2 fchownat.2 fstatat.2 linkat.2 mkdirat.2 mknodat.2
      openat.2 readlinkat.2 renameat.2 symlinkat.2 unlinkat.2 mkfifoat.3
      scandirat.3

 -- Simon Paillard <spaillard@debian.org>  Mon, 10 Mar 2014 22:45:10 +0100

manpages-fr (3.58d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.58-1 and perkamon 3.58-1

 -- Simon Paillard <spaillard@debian.org>  Sat, 15 Feb 2014 13:50:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: manpages-fr
 Architecture: all
-Replaces: manpages-fr-extra (<= 20130721)
+Replaces: manpages-fr-extra (<= 20140506)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux
